com.groupdocs.conversion.converter.option

## Class PdfSaveOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.SaveOptions
  - - com.groupdocs.conversion.converter.option.PdfSaveOptions

- All Implemented Interfaces:
    com.aspose.ms.System.ICloneable, Cloneable

      public final class PdfSaveOptions
      extends SaveOptions

  Options for to PDF conversion

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PdfSaveOptions.PdfFileType` Pdf file types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfSaveOptions()` Create PdfSaveOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.groupdocs.foundation.domain.FileType` | `getConvertFileType_PdfSaveOptions_New()` The desired file type to which the input document should be converted to
    `double` | `getDpi()` Desired page DPI after conversion.
    `int` | `getHeight()` Desired page height in pixels after conversion
    `int` | `getMarginBottom()` Desired page bottom margin in pixels after conversion
    `int` | `getMarginLeft()` Desired page left margin in pixels after conversion
    `int` | `getMarginRight()` Desired page right margin in pixels after conversion
    `int` | `getMarginTop()` Desired page top margin in pixels after conversion
    `String` | `getPassword()` Set this property if you want to protect the converted document with a password
    `com.groupdocs.conversion.converter.option.PdfOptions` | `getPdfOptions()` Pdf specific convert options
    `int` | `getWidth()` Desired page width in pixels after conversion
    `String` | `getWordBookmarks()` If the input document is Word the conversion will handle the word bookmarks regarding this option.
    `void` | `setConvertFileType_PdfSaveOptions_New(com.groupdocs.foundation.domain.FileType value)` The desired file type to which the input document should be converted to
    `void` | `setDpi(double value)` Desired page DPI after conversion.
    `void` | `setHeight(int value)` Desired page height in pixels after conversion
    `void` | `setMarginBottom(int value)` Desired page bottom margin in pixels after conversion
    `void` | `setMarginLeft(int value)` Desired page left margin in pixels after conversion
    `void` | `setMarginRight(int value)` Desired page right margin in pixels after conversion
    `void` | `setMarginTop(int value)` Desired page top margin in pixels after conversion
    `void` | `setPassword(String value)` Set this property if you want to protect the converted document with a password
    `void` | `setPdfOptions(com.groupdocs.conversion.converter.option.PdfOptions value)` Pdf specific convert options
    `void` | `setWidth(int value)` Desired page width in pixels after conversion
    `void` | `setWordBookmarks(String value)` If the input document is Word the conversion will handle the word bookmarks regarding this option.

    - ### Methods inherited from class com.groupdocs.conversion.converter.option.SaveOptions

      `deepClone, getCadOptions, getConvertFileType, getConvertFileTypeExtension, getConvertPages, getCustomName, getHideComments, getHidePdfAnnotations, getHideWordComments, getHideWordTrackedChanges, getNumPagesToConvert, getOutputType, getPageMode, getPageNumber, getSaveOptionsType, getShowGridLines, getShowHiddenSheets, getUsePdf, getWatermarkOptions, memberwiseClone, setCadOptions, setConvertFileType, setConvertPages, setCustomName, setHideComments, setHidePdfAnnotations, setHideWordComments, setHideWordTrackedChanges, setNumPagesToConvert, setOutputType, setPageMode, setPageNumber, setShowGridLines, setShowHiddenSheets, setUsePdf, setWatermarkOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfSaveOptions

          public PdfSaveOptions()

      Create PdfSaveOptions instance

  - ### Method Detail

    - #### getConvertFileType_PdfSaveOptions_New

          public com.groupdocs.foundation.domain.FileType getConvertFileType_PdfSaveOptions_New()

      The desired file type to which the input document should be converted to

      Returns:

    - #### setConvertFileType_PdfSaveOptions_New

          public void setConvertFileType_PdfSaveOptions_New(com.groupdocs.foundation.domain.FileType value)

      The desired file type to which the input document should be converted to

      Parameters:
        `value` -

    - #### getWordBookmarks

          public String getWordBookmarks()

      If the input document is Word the conversion will handle the word bookmarks regarding this option. Use `GroupDocs.Conversion.Domain.WordBookmarksWordBookmarks` to set desired behavior

      Returns:

    - #### setWordBookmarks

          public void setWordBookmarks(String value)

      If the input document is Word the conversion will handle the word bookmarks regarding this option. Use `GroupDocs.Conversion.Domain.WordBookmarksWordBookmarks` to set desired behavior

      Parameters:
        `value` -

    - #### getWidth

          public int getWidth()

      Desired page width in pixels after conversion

      Returns:

    - #### setWidth

          public void setWidth(int value)

      Desired page width in pixels after conversion

      Parameters:
        `value` -

    - #### getHeight

          public int getHeight()

      Desired page height in pixels after conversion

      Returns:

    - #### setHeight

          public void setHeight(int value)

      Desired page height in pixels after conversion

      Parameters:
        `value` -

    - #### getDpi

          public double getDpi()

      Desired page DPI after conversion. The default resolution is: 96dpi

      Returns:

    - #### setDpi

          public void setDpi(double value)

      Desired page DPI after conversion. The default resolution is: 96dpi

      Parameters:
        `value` -

    - #### getPassword

          public String getPassword()

      Set this property if you want to protect the converted document with a password

      Returns:

    - #### setPassword

          public void setPassword(String value)

      Set this property if you want to protect the converted document with a password

      Parameters:
        `value` -

    - #### getMarginTop

          public int getMarginTop()

      Desired page top margin in pixels after conversion

      Returns:

    - #### setMarginTop

          public void setMarginTop(int value)

      Desired page top margin in pixels after conversion

      Parameters:
        `value` -

    - #### getMarginBottom

          public int getMarginBottom()

      Desired page bottom margin in pixels after conversion

      Returns:

    - #### setMarginBottom

          public void setMarginBottom(int value)

      Desired page bottom margin in pixels after conversion

      Parameters:
        `value` -

    - #### getMarginLeft

          public int getMarginLeft()

      Desired page left margin in pixels after conversion

      Returns:

    - #### setMarginLeft

          public void setMarginLeft(int value)

      Desired page left margin in pixels after conversion

      Parameters:
        `value` -

    - #### getMarginRight

          public int getMarginRight()

      Desired page right margin in pixels after conversion

      Returns:

    - #### setMarginRight

          public void setMarginRight(int value)

      Desired page right margin in pixels after conversion

      Parameters:
        `value` -

    - #### getPdfOptions

          public com.groupdocs.conversion.converter.option.PdfOptions getPdfOptions()

      Pdf specific convert options

      Returns:

    - #### setPdfOptions

          public void setPdfOptions(com.groupdocs.conversion.converter.option.PdfOptions value)

      Pdf specific convert options

      Parameters:
        `value` -

Copyright © 2017. All rights reserved.